﻿@model IEnumerable<eCommerce.BackOffice.ViewModels.OrderViewModel>
@using eCommerce.Services.Model.Enums

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th class="text-center" style="width:30px;">#Id</th>
            <th class="col-sm-1">Fecha</th>
            <th>Cliente</th>
            <th class="text-center">Canal</th>
            <th class="text-center">F. Entrega</th>
            <th class="text-center">F. Pago</th>
            <th class="text-center" nowrap="nowrap">Total ($)</th>
            <th class="text-center">Cobro</th>
            <th class="text-center">Entrega</th>
            <th class="text-center">Estado</th>
            <th class="text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model.Where(x => x.Order.HasPendingDeliveries))
    {
        <tr>
            <td class="text-center">@Html.DisplayFor(modelItem => item.OrderId)</td>
            <td>@string.Format("{0:dd/MM/yyyy}", item.CreatedDate)</td>
            <td>@Html.DisplayFor(modelItem => item.CustomerName)</td>
            <td class="text-center">@(((OrderChannelEnum)item.Channel))</td>
            <td class="text-center">
                @switch (((DeliveryMethodEnum)item.DeliveryMethodId))
                {
                    case DeliveryMethodEnum.MotoEntrega:
                        <label>Moto</label>
                        break;
                    case DeliveryMethodEnum.OcaPaP:
                        <label>OCA - Envio a Domicilio</label>
                        break;
                    case DeliveryMethodEnum.OcaPaS:
                        <label>OCA - Envio a Sucursal</label>
                        break;
                    case DeliveryMethodEnum.RetiraEnCentroDeEntrega:
                        <label>Retira</label>
                        break;
                    case DeliveryMethodEnum.Transporte:
                        <label>Transporte</label>
                        break;
                }
            </td>
            <td class="text-center">
                @switch (((PaymentMethodEnum)item.PaymentMethodId))
                {
                    case PaymentMethodEnum.Convenir:
                    case PaymentMethodEnum.Efectivo:
                    case PaymentMethodEnum.TodoPago:
                    case PaymentMethodEnum.MercadoPago:
                        <label>@((PaymentMethodEnum)item.PaymentMethodId)</label>
                        break;
                    case PaymentMethodEnum.TransferenciaBancaria:
                        <label>Transferencia</label>
                        break;
                }
            </td>
            <td class="text-right" nowrap="nowrap">@string.Format("{0:C2}", item.Total)</td>
            <td class="text-center">
                @switch (item.PaymentStatusId)
                {
                    case (int)PaymentStatusEnum.Pendiente:
                        <span class="label label-outline label-danger">A COBRAR</span>
                        break;
                    case (int)PaymentStatusEnum.CobroParcial:
                        <span class="label label-outline label-warning">COBRO PARCIAL</span>
                        break;
                    case (int)PaymentStatusEnum.Cobrada:
                        <span class="label label-outline label-success">COBRADA</span>
                        break;
                    default:
                        <span class="label label-outline label-success">COBRADA</span>
                        break;
                }
            </td>
            <td class="text-center">
                @switch (item.DeliveryStatusId)
                {
                    case (int)DeliveryStatusEnum.Pendiente:
                        <span class="label label-outline label-danger">A ENTREGAR</span>
                        break;
                    case (int)DeliveryStatusEnum.EntregaParcial:
                        <span class="label label-outline label-warning">ENTREGA PARCIAL</span>
                        break;
                    case (int)DeliveryStatusEnum.Entregado:
                        <span class="label label-outline label-success">ENTREGADO</span>
                        break;
                }
            </td>
            <td class="text-center">
                @switch (((OrderStatusEnum)item.OrderStatusId))
                {
                    case OrderStatusEnum.Confirmado:
                        <span class="label label-outline label-primary">CONFIRMADO</span>
                        break;
                    case OrderStatusEnum.Cancelada:
                        <span class="label label-dark">CANCELADA</span>
                        break;
                    case OrderStatusEnum.EnProceso:
                        <span class="label label-outline label-warning">EN PROCESO</span>
                        break;
                }
            </td>
            <td class="actions text-center">
                <a href="/DeliveryOrders/DeliveryOrderList/@item.OrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Entregas"><i class="icon fa-bus" aria-hidden="true"></i></a>
            </td>
        </tr>
    }
    </tbody>
</table>
